Subject: bug#78323: closed (Re: bug#78323: Regression in case-insensitive filename completion)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 May 2025 17:06:02 +0000

Your bug report

#78323: Regression in case-insensitive filename completion

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78323: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78323
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78323: Regression in case-insensitive filename completion
From: Eli Zaretskii <[email-masked]>
To: Spencer Baugh <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 19 May 2025 20:04:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>    [email-masked],  [email-masked]
> Date: Mon, 19 May 2025 11:46:57 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> >> From: Spencer Baugh <[email-masked]>
> >> BTW, the patch I posted has the wrong commit message but is otherwise
> >> correct.  Assuming there's review feedback, I'll correct the commit
> >> message in the next version.
> >
> > Please do submit a correct patch, so we could resolve this regression.
> >
> > Thanks.
> 
> Here is the version with a correct commit message.  (I also added some
> comments in the test)

Thanks, installed on master, and closing the bug.

Subject: Regression in case-insensitive filename completion
From: Daniel Colascione <[email-masked]>
To: [email-masked]
Date: Thu, 08 May 2025 15:40:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

With read-file-name-completion-ignore-case true, commit
509cbe1c35b3dd005a53ac041f9c87ee53b8e115 breaks existing completion
behavior.  Suppose we have file named fooBarQux.  Previously, if I'd
typed "foobar" and TAB while reading a filename, then the completion
would be "fooBarQux".  Now, it completes as "foobarQux", which is wrong
and breaks, among other things, vc.